View Bazaar branches
Get this repository:
git clone https://git.launchpad.net/patchwork

Branches

Name Last Modified Last Commit
pyup-pin-openapi-core-0.12.0 2019-09-21 19:16:19 UTC 2019-09-21
Pin openapi-core to latest version 0.12.0

Author: pyup-bot
Author Date: 2019-09-21 19:16:19 UTC

Pin openapi-core to latest version 0.12.0

stable/2.1 2019-09-18 10:00:22 UTC 2019-09-18
parsearchive, mail: use repr() to get a human readable exception

Author: Daniel Axtens
Author Date: 2019-09-18 06:17:28 UTC

parsearchive, mail: use repr() to get a human readable exception

Currently if we have particular types of error in mail parsing
in parsearchive or parsemail, we print exc.message, which doesn't
always work:

  Traceback (most recent call last):
    File ".../patchwork/management/commands/parsearchive.py", line 90, in handle
      obj = parse_mail(msg, options['list_id'])
    File ".../patchwork/parser.py", line 961, in parse_mail
      raise ValueError("Missing 'Message-Id' header")
  ValueError: Missing 'Message-Id' header

  During handling of the above exception, another exception occurred:

  Traceback (most recent call last):
    File "manage.py", line 11, in <module>
      execute_from_command_line(sys.argv)
    File ".../django/core/management/__init__.py", line 381, in execute_from_command_line
      utility.execute()
    File ".../django/core/management/__init__.py", line 375, in execute
      self.fetch_command(subcommand).run_from_argv(self.argv)
    File ".../django/core/management/base.py", line 323, in run_from_argv
      self.execute(*args, **cmd_options)
    File ".../django/core/management/base.py", line 364, in execute
      output = self.handle(*args, **options)
    File ".../patchwork/management/commands/parsearchive.py", line 100, in handle
      logger.warning('Invalid mail: %s', exc.message)
  AttributeError: 'ValueError' object has no attribute 'message'

repr(exc) will work. Use it.

Signed-off-by: Daniel Axtens <dja@axtens.net>
Reviewed-by: Stephen Finucane <stephen@that.guru>
(cherry picked from commit 319b6f9d750c220d47c1044246d4e97fd500c6d4)

master 2019-09-18 09:58:03 UTC 2019-09-18
parsearchive, mail: use repr() to get a human readable exception

Author: Daniel Axtens
Author Date: 2019-09-18 06:17:28 UTC

parsearchive, mail: use repr() to get a human readable exception

Currently if we have particular types of error in mail parsing
in parsearchive or parsemail, we print exc.message, which doesn't
always work:

  Traceback (most recent call last):
    File ".../patchwork/management/commands/parsearchive.py", line 90, in handle
      obj = parse_mail(msg, options['list_id'])
    File ".../patchwork/parser.py", line 961, in parse_mail
      raise ValueError("Missing 'Message-Id' header")
  ValueError: Missing 'Message-Id' header

  During handling of the above exception, another exception occurred:

  Traceback (most recent call last):
    File "manage.py", line 11, in <module>
      execute_from_command_line(sys.argv)
    File ".../django/core/management/__init__.py", line 381, in execute_from_command_line
      utility.execute()
    File ".../django/core/management/__init__.py", line 375, in execute
      self.fetch_command(subcommand).run_from_argv(self.argv)
    File ".../django/core/management/base.py", line 323, in run_from_argv
      self.execute(*args, **cmd_options)
    File ".../django/core/management/base.py", line 364, in execute
      output = self.handle(*args, **options)
    File ".../patchwork/management/commands/parsearchive.py", line 100, in handle
      logger.warning('Invalid mail: %s', exc.message)
  AttributeError: 'ValueError' object has no attribute 'message'

repr(exc) will work. Use it.

Signed-off-by: Daniel Axtens <dja@axtens.net>
Reviewed-by: Stephen Finucane <stephen@that.guru>

pyup-pin-djangorestframework-3.10.3 2019-09-10 18:04:17 UTC 2019-09-10
Pin djangorestframework to latest version 3.10.3

Author: pyup-bot
Author Date: 2019-09-10 18:04:17 UTC

Pin djangorestframework to latest version 3.10.3

pyup-pin-django-2.2.5 2019-09-10 18:04:12 UTC 2019-09-10
Pin django to latest version 2.2.5

Author: pyup-bot
Author Date: 2019-09-10 18:04:12 UTC

Pin django to latest version 2.2.5

pyup-pin-psycopg2-binary-2.8.3 2019-09-10 18:03:38 UTC 2019-09-10
Pin psycopg2-binary to latest version 2.8.3

Author: pyup-bot
Author Date: 2019-09-10 18:03:38 UTC

Pin psycopg2-binary to latest version 2.8.3

pyup-pin-openapi-core-0.11.1 2019-09-10 15:44:35 UTC 2019-09-10
Pin openapi-core to latest version 0.11.1

Author: pyup-bot
Author Date: 2019-09-10 15:44:35 UTC

Pin openapi-core to latest version 0.11.1

stable/2.0 2019-07-05 05:58:12 UTC 2019-07-05
Post-release version bump

Author: Daniel Axtens
Author Date: 2019-07-05 05:58:12 UTC

Post-release version bump

Signed-off-by: Daniel Axtens <dja@axtens.net>

stable/1.1 2017-05-15 09:09:19 UTC 2017-05-15
lib/apache2: Update location to wsgi python script

Author: Florian Fainelli
Author Date: 2017-05-11 23:25:30 UTC

lib/apache2: Update location to wsgi python script

Commit 8fe68d96f18e ("wsgi: Move wsgi file to expected location")
relocated lib/apache2/patchwork.wsgi to patchwork/wsgi.py but did not
update the Apache2 example configuration file under
lib/apache2/patchwork.wsgi.conf.

Fixes: 8fe68d96f18e ("wsgi: Move wsgi file to expected location")
Signed-off-by: Florian Fainelli <f.fainelli@gmail.com>
Reviewed-by: Stephen Finucane <stephen@that.guru>
(cherry picked from commit 114ff6061d4005b2458e75da52f3a6cf4ae19bf5)

19 of 9 results

Other repositories

Name Last Modified
lp:patchwork 2019-09-21
11 of 1 result
You can't create new repositories for Patchwork.